Package "samba"

Name: samba


SMB/CIFS file, print, and login server for Unix

Latest version: 2:4.3.11+dfsg-0ubuntu0.14.04.14
Release: trusty (14.04)
Level: security
Repository: main
Homepage: http://www.samba.org


Save this URL for the latest version of "samba": https://www.ubuntuupdates.org/samba

Download "samba"

Other versions of "samba" in Trusty

Repository Area Version
base universe 2:4.1.6+dfsg-1ubuntu2
base main 2:4.1.6+dfsg-1ubuntu2
security universe 2:4.3.11+dfsg-0ubuntu0.14.04.14
updates main 2:4.3.11+dfsg-0ubuntu0.14.04.14
updates universe 2:4.3.11+dfsg-0ubuntu0.14.04.14

Packages in group

Deleted packages are displayed in grey.

libpam-smbpass libparse-pidl-perl libsmbclient libsmbclient-dev libsmbsharemodes-dev
libsmbsharemodes0 libwbclient-dev libwbclient0 python-samba samba-common
samba-common-bin samba-dbg samba-dev samba-doc samba-dsdb-modules
samba-libs samba-vfs-modules smbclient winbind


Version: 2:4.3.11+dfsg-0ubuntu0.14.04.14 2018-03-13 14:06:19 UTC

  samba (2:4.3.11+dfsg-0ubuntu0.14.04.14) trusty-security; urgency=medium

  * SECURITY UPDATE: Denial of Service Attack on external print server
    - debian/patches/CVE-2018-1050.patch: protect against null pointer
      derefs in source3/rpc_server/spoolss/srv_spoolss_nt.c.
    - CVE-2018-1050
  * SECURITY UPDATE: Authenticated users can change other users password
    - debian/patches/CVE-2018-1057-*.patch: fix password changing logic.
    - CVE-2018-1057

 -- Marc Deslauriers <email address hidden> Tue, 06 Mar 2018 16:49:30 +0100

Source diff to previous version

Version: 2:4.3.11+dfsg-0ubuntu0.14.04.13 2017-11-21 14:06:57 UTC

  samba (2:4.3.11+dfsg-0ubuntu0.14.04.13) trusty-security; urgency=medium

  * SECURITY UPDATE: Use-after-free vulnerability
    - debian/patches/CVE-2017-14746.patch: fix use-after-free crash bug in
      source3/smbd/process.c, source3/smbd/reply.c.
    - CVE-2017-14746
  * SECURITY UPDATE: Server heap memory information leak
    - debian/patches/CVE-2017-15275.patch: zero out unused grown area in
    - CVE-2017-15275

 -- Marc Deslauriers <email address hidden> Wed, 15 Nov 2017 15:41:27 -0500

Source diff to previous version
CVE-2017-14746 Use-after-free vulnerability
CVE-2017-15275 Server heap memory information leak

Version: 2:4.3.11+dfsg-0ubuntu0.14.04.12 2017-09-21 18:06:39 UTC
No changelog available yet.
Source diff to previous version

Version: 2:4.3.11+dfsg-0ubuntu0.14.04.10 2017-07-14 21:07:05 UTC

  samba (2:4.3.11+dfsg-0ubuntu0.14.04.10) trusty-security; urgency=medium

  * SECURITY UPDATE: KDC-REP service name impersonation
    - debian/patches/CVE-2017-11103.patch: use encrypted service
      name rather than unencrypted (and therefore spoofable) version
      in heimdal
    - CVE-2017-11103

 -- Steve Beattie <email address hidden> Thu, 13 Jul 2017 14:06:03 -0700

Source diff to previous version
CVE-2017-1110 RESERVED

Version: 2:4.3.11+dfsg-0ubuntu0.14.04.9 2017-07-05 18:06:20 UTC

  samba (2:4.3.11+dfsg-0ubuntu0.14.04.9) trusty-security; urgency=medium

  [ Andreas Hasenack ]
  * d/p/non-wide-symlinks-to-directories-12860.patch: fix a CVE-2017-2619
    regression which breaks symlinks to directories on certain systems
    (LP: #1701073)

  [ Marc Deslauriers ]
  * SECURITY UPDATE: DoS via bad symlink resolution
    - debian/patches/CVE-2017-9461.patch: properly handle dangling symlinks
      in source3/smbd/open.c.
    - CVE-2017-9461

 -- Marc Deslauriers <email address hidden> Tue, 04 Jul 2017 08:01:55 -0400

1701073 CVE-2017-2619 regression breaks symlinks to directories
CVE-2017-9461 smbd in Samba before 4.4.10 and 4.5.x before 4.5.6 has a denial of service vulnerability (fd_open_atomic infinite loop with high CPU usage and memory

About   -   Send Feedback to @ubuntu_updates